Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.servlet
Class ServletTest.TestableServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.any23.servlet.Servlet
                  org.apache.any23.servlet.ServletTest.TestableServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Enclosing class:
  ServletTest

    public static class ServletTest.TestableServlet

extends org.apache.any23.servlet.Servlet

Test purpose servlet implementation.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.any23.servlet.Servlet
`DEFAULT_BASE_URI`

Constructor Summary
`ServletTest.TestableServlet()`

Method Summary
`protected org.apache.any23.source.DocumentSource` | `createHTTPDocumentSource(HTTPClient httpClient, String uri)`

Methods inherited from class org.apache.any23.servlet.Servlet
`doGet, doPost`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletTest.TestableServlet

    public ServletTest.TestableServlet()

Method Detail

### createHTTPDocumentSource

    protected org.apache.any23.source.DocumentSource createHTTPDocumentSource(HTTPClient httpClient,
                                                                              String uri)
                                                                       throws IOException,
                                                                              URISyntaxException

  Overrides:
    `createHTTPDocumentSource` in class `org.apache.any23.servlet.Servlet`
  Throws:
    `IOException`
    `URISyntaxException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.